from django.urls import path
from .views import (
    home, fatura_arsivi, firma_detay, fatura_detay, raporlar,
    firma_ekle, fatura_ekle, search, firma_sil, fatura_sil
)

urlpatterns = [
    path("", home, name="home"),
    path("arsiv/", fatura_arsivi, name="fatura_arsivi"),
    path("firma/<int:pk>/", firma_detay, name="firma_detay"),
    path("fatura/<int:pk>/", fatura_detay, name="fatura_detay"),
    path("raporlar/", raporlar, name="raporlar"),
    path("firma/ekle/", firma_ekle, name="firma_ekle"),
    path("fatura/ekle/", fatura_ekle, name="fatura_ekle"),
    path("arama/", search, name="search"),
    path("firma/<int:pk>/sil/", firma_sil, name="firma_sil"),
    path("fatura/<int:pk>/sil/", fatura_sil, name="fatura_sil"),
]